Globus Connect Server Administration Guides
  • Quickstart Guide
  • Installation Guide
  • Data Access Admin Guide
  • Domain Guide
  • Domain Migration to gaccess.io
  • Streaming
    • Streaming Admin Guide
    • Streaming User Guide
    • Streaming Connection Authentication
  • HTTPS Access to Collections
  • Extending Collection Virtual Host Configurations
  • Identity Mapping Admin Guide
  • Globus OIDC Installation Guide
  • Troubleshooting Guide
  • Command-Line Reference
    • Command summary
    • Audit
      • Load
      • Query
      • Dump
    • Endpoint
      • Setup
      • Show
      • Update
      • Reset Advertised Owner String
      • Set Advertised Owner String
      • Set Owner
      • Set Subscription ID
      • Cleanup
      • Key Convert
      • Domain
      • Role
      • Upgrade
    • OIDC
      • Create
      • Delete
      • Register
      • Show
      • Update
    • Node
      • Create
      • Disable
      • Enable
      • New Secret
      • Setup
      • List
      • Show
      • Update
      • Cleanup
      • Delete
    • Login
    • Session
      • Consent
      • Show
      • Update
    • Whoami
    • Logout
    • Storage Gateway
      • Create
      • List
      • Show
      • Update
      • Delete
    • Stream Gateway
      • Create
      • List
      • Show
      • Update
      • Delete
    • Collection
      • Create
      • List
      • Show
      • Batch Delete
      • Reset Advertised Owner String
      • Set Advertised Owner String
      • Set Owner
      • Set Subscription Admin Verified Collection Property
      • Update
      • Delete
      • Domain
      • Check
      • Role
    • Auth Policy
      • Create
      • List
      • Show
      • Update
      • Delete
    • Sharing Policy
      • Create
      • List
      • Show
      • Delete
    • User Credentials
      • Activescale Create
      • OAuth Create
      • Delete
      • List
      • S3 Create
      • S3 Keys Add
      • S3 Keys Delete
      • S3 Keys Update
    • Self Diagnostic
  • Globus Connect Server Manager API
    • Authorization
    • Versioning
    • Endpoint
    • Roles
    • Nodes
    • Storage Gateways
    • Stream Gateways
    • Collections
    • Lan Secrets
    • User Credentials
    • Domains
    • Sharing Policies
  • API Access for Portals
  • Automated Endpoint Deployment
  • Admin Guide for Sensitive Data
  • Data Access Application Guide
  • Application Migration Guide
  • Change Log
Skip to main content
Globus Docs
  • Getting Started
    Getting Started

    Getting Started and Tutorial docs cover how to perform some activity or provide an introduction to a feature. They are not comprehensive, but help you get started with Globus or with new Globus features.

    • Users
    • Admins
    • Developers
  • Reference
    Reference
    • Service
      • Auth
      • Groups
      • Transfer
      • Timers
      • Flows
      • Compute
      • Search
    • Agents
      • Globus Connect Server
      • GCS CLI
      • Globus Connect Personal
      • Globus Compute
    • SDK
      • Python
      • JavaScript/TypeScript
    • Clients
      • CLI
    • Security and Compliance
      • Product Security
      • Privacy
      • Solutions for Sensitive Data
      • FAQs
  • Solutions & Guides
    Solutions & Guides

    Find practical approaches for leveraging Globus in research environments, integrating with platforms, and building science gateways. Access hands-on guides, integration instructions, and real-world scenarios for advanced usage.

    • Portals/Science Gateways
    • Guides
  • Support
    Support

    Find answers to frequently asked questions, connect with the community by joining our mailing lists, or reach out directly to Globus support.

    • FAQs
    • Mailing Lists
    • Contact Us
    • Check Support Tickets
  • Site Search
  1. Home
  2. Globus Connect Server
  3. v5.4
  4. Globus Connect Server Manager API
  5. Stream Gateways

Stream Gateways

Stream Gateways

The Stream Gateway API allows administrators to manage stream gateways.

Each stream gateway contains configuration policies that determine who may manage or access tunnels on the gateway and what networks they have access to.

Operations which modify a stream gateway require an endpoint administrator role.

Stream Gateways Overview

Method API Path Description

GET

/​api/​stream_gateways

List stream gateways

POST

/​api/​stream_gateways

Create a stream gateway

GET

/​api/​stream_gateways/​{stream_gateway_id}

Get a stream gateway

DELETE

/​api/​stream_gateways/​{stream_gateway_id}

Delete a stream gateway

PATCH

/​api/​stream_gateways/​{stream_gateway_id}

Update a stream gateway

Details

List stream gateways

GET /api/stream_gateways

List the stream gateways on an endpoint.

This operation requires either the endpoint to have the public property set to true, the caller to have a role that allows viewing this endpoint.

Authorization

  • RoleAuthorizer:

    • endpoint:owner

    • endpoint:administrator

    • endpoint:activity_manager

    • endpoint:activity_monitor

Query Parameters

Parameter Type Description

page_size

integer <int>

Maximum page size for a paginated response

marker

string

Pagination marker for a paginated response

Responses

200 - List stream gateways response
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "data": [
    {
      "DATA_TYPE": "stream_gateway#1.0.0",
      "allowed_domains": [
        "string"
      ],
      "authentication_timeout_mins": 1,
      "contact_email": "string",
      "contact_info": "string",
      "deleted": true,
      "department": "string",
      "description": "string",
      "display_name": "string",
      "domain_name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "identity_mappings": [
        {
          "DATA_TYPE": "external_identity_mapping#1.0.0",
          "command": [
            "string"
          ]
        }
      ],
      "info_link": "string",
      "keywords": [
        "string"
      ],
      "lan_name": "string",
      "lan_secret_required": true,
      "organization": "string",
      "tlsftp_url": "string",
      "users_allow": [
        "string"
      ],
      "users_deny": [
        "string"
      ]
    }
  ],
  "DATA_TYPE": "result#1.0.0",
  "detail": null,
  "has_next_page": false,
  "http_response_code": 100,
  "marker": "string",
  "message": "string"
}

Create a stream gateway

POST /api/stream_gateways

Create a stream gateway on an endpoint. On success, this operation returns a copy of the created gateway with the system generated id added.

Authorization

  • RoleAuthorizer:

    • endpoint:owner

    • endpoint:administrator

Request body

Content-Type: application/json

A stream gateway provides the access policies for the endpoint’s local and wide-area networks to create stream connections between applications running on this endpoint’s local network and another endpoint’s local network.

Version 1.1.0 adds support for executing the stream operations as a mapped local user account.

One of the following schemas:

  • StreamGateway_1_0_0

  • StreamGateway_1_1_0

​

Example
{
  "DATA_TYPE": "stream_gateway#1.0.0",
  "allowed_domains": [
    "string"
  ],
  "authentication_timeout_mins": 1,
  "contact_email": "string",
  "contact_info": "string",
  "deleted": true,
  "department": "string",
  "description": "string",
  "display_name": "string",
  "domain_name": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "identity_mappings": [
    {
      "DATA_TYPE": "external_identity_mapping#1.0.0",
      "command": [
        "string"
      ]
    }
  ],
  "info_link": "string",
  "keywords": [
    "string"
  ],
  "lan_name": "string",
  "lan_secret_required": true,
  "organization": "string",
  "tlsftp_url": "string",
  "users_allow": [
    "string"
  ],
  "users_deny": [
    "string"
  ]
}

Responses

201 - Post stream gateways response
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "data": [
    {
      "DATA_TYPE": "stream_gateway#1.0.0",
      "allowed_domains": [
        "string"
      ],
      "authentication_timeout_mins": 1,
      "contact_email": "string",
      "contact_info": "string",
      "deleted": true,
      "department": "string",
      "description": "string",
      "display_name": "string",
      "domain_name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "identity_mappings": [
        {
          "DATA_TYPE": "external_identity_mapping#1.0.0",
          "command": [
            "string"
          ]
        }
      ],
      "info_link": "string",
      "keywords": [
        "string"
      ],
      "lan_name": "string",
      "lan_secret_required": true,
      "organization": "string",
      "tlsftp_url": "string",
      "users_allow": [
        "string"
      ],
      "users_deny": [
        "string"
      ]
    }
  ],
  "DATA_TYPE": "result#1.0.0",
  "detail": null,
  "has_next_page": false,
  "http_response_code": 100,
  "marker": "string",
  "message": "string"
}
400 - Bad Request
403 - Permission denied
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "http_response_code": 100,
  "detail": null,
  "DATA_TYPE": "result#1.0.0",
  "data": [
    {}
  ],
  "has_next_page": false,
  "marker": "string",
  "message": "string"
}
415 - Unsupported media type
422 - Unprocessable entity

Details

Get a stream gateway

GET /api/stream_gateways/{stream_gateway_id}

Get a stream gateway’s definition.

This operation requires either the endpoint to have the public property set to true, or the caller to have a role that allows viewing this endpoint.

Authorization

  • RoleAuthorizer:

    • endpoint:owner

    • endpoint:administrator

    • endpoint:activity_manager

    • endpoint:activity_monitor

Path parameters

▷ stream_gateway_id

Id of the stream gateway

Parameter Type Description

stream_gateway_id (required)

string <uuid>

Id of the stream gateway

Responses

200 - Get stream gateways response
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "data": [
    {
      "DATA_TYPE": "stream_gateway#1.0.0",
      "allowed_domains": [
        "string"
      ],
      "authentication_timeout_mins": 1,
      "contact_email": "string",
      "contact_info": "string",
      "deleted": true,
      "department": "string",
      "description": "string",
      "display_name": "string",
      "domain_name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "identity_mappings": [
        {
          "DATA_TYPE": "external_identity_mapping#1.0.0",
          "command": [
            "string"
          ]
        }
      ],
      "info_link": "string",
      "keywords": [
        "string"
      ],
      "lan_name": "string",
      "lan_secret_required": true,
      "organization": "string",
      "tlsftp_url": "string",
      "users_allow": [
        "string"
      ],
      "users_deny": [
        "string"
      ]
    }
  ],
  "DATA_TYPE": "result#1.0.0",
  "detail": null,
  "has_next_page": false,
  "http_response_code": 100,
  "marker": "string",
  "message": "string"
}
404 - Not found

Delete a stream gateway

DELETE /api/stream_gateways/{stream_gateway_id}

Delete a stream gateway.

Authorization

  • RoleAuthorizer:

    • endpoint:owner

    • endpoint:administrator

Path parameters

▷ stream_gateway_id

Id of the stream gateway

Parameter Type Description

stream_gateway_id (required)

string <uuid>

Id of the stream gateway

Responses

200 - Delete stream gateway response
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "DATA_TYPE": "result#1.0.0",
  "code": "string",
  "data": [
    {}
  ],
  "detail": null,
  "has_next_page": false,
  "http_response_code": 100,
  "marker": "string",
  "message": "string"
}
403 - Permission denied
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "http_response_code": 100,
  "detail": null,
  "DATA_TYPE": "result#1.0.0",
  "data": [
    {}
  ],
  "has_next_page": false,
  "marker": "string",
  "message": "string"
}
404 - Not found

Update a stream gateway

PATCH /api/stream_gateways/{stream_gateway_id}

Update a stream gateway, changing only the properties included in the input document. It returns a document containing the stream gateway after the changes have been applied. Items explicitly set to null in the input are removed from the stream gateway.

Authorization

  • RoleAuthorizer:

    • endpoint:owner

    • endpoint:administrator

Path parameters

▷ stream_gateway_id

Id of the stream gateway

Parameter Type Description

stream_gateway_id (required)

string <uuid>

Id of the stream gateway

Request body

Content-Type: application/json

A stream gateway provides the access policies for the endpoint’s local and wide-area networks to create stream connections between applications running on this endpoint’s local network and another endpoint’s local network.

Version 1.1.0 adds support for executing the stream operations as a mapped local user account.

One of the following schemas:

  • StreamGateway_1_0_0

  • StreamGateway_1_1_0

​

Example
{
  "DATA_TYPE": "stream_gateway#1.0.0",
  "allowed_domains": [
    "string"
  ],
  "authentication_timeout_mins": 1,
  "contact_email": "string",
  "contact_info": "string",
  "deleted": true,
  "department": "string",
  "description": "string",
  "display_name": "string",
  "domain_name": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "identity_mappings": [
    {
      "DATA_TYPE": "external_identity_mapping#1.0.0",
      "command": [
        "string"
      ]
    }
  ],
  "info_link": "string",
  "keywords": [
    "string"
  ],
  "lan_name": "string",
  "lan_secret_required": true,
  "organization": "string",
  "tlsftp_url": "string",
  "users_allow": [
    "string"
  ],
  "users_deny": [
    "string"
  ]
}

Responses

200 - Update stream gateway response
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "data": [
    {
      "DATA_TYPE": "stream_gateway#1.0.0",
      "allowed_domains": [
        "string"
      ],
      "authentication_timeout_mins": 1,
      "contact_email": "string",
      "contact_info": "string",
      "deleted": true,
      "department": "string",
      "description": "string",
      "display_name": "string",
      "domain_name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "identity_mappings": [
        {
          "DATA_TYPE": "external_identity_mapping#1.0.0",
          "command": [
            "string"
          ]
        }
      ],
      "info_link": "string",
      "keywords": [
        "string"
      ],
      "lan_name": "string",
      "lan_secret_required": true,
      "organization": "string",
      "tlsftp_url": "string",
      "users_allow": [
        "string"
      ],
      "users_deny": [
        "string"
      ]
    }
  ],
  "DATA_TYPE": "result#1.0.0",
  "detail": null,
  "has_next_page": false,
  "http_response_code": 100,
  "marker": "string",
  "message": "string"
}
400 - Bad Request
403 - Permission denied
Content-Type: application/json

This is the result envelope returned from all operations in this API. Each operation may add properties to this base document type with additional operation-specific data values.

Version 1.1.0 adds optional authorization_parameters to help process
authorization or authentication errors

One of the following schemas:

  • Result_1_0_0

  • Result_1_1_0

​

{
  "code": "string",
  "http_response_code": 100,
  "detail": null,
  "DATA_TYPE": "result#1.0.0",
  "data": [
    {}
  ],
  "has_next_page": false,
  "marker": "string",
  "message": "string"
}
404 - Not found
415 - Unsupported media type
422 - Unprocessable entity
  • Quickstart Guide
  • Installation Guide
  • Data Access Admin Guide
  • Domain Guide
  • Domain Migration to gaccess.io
  • Streaming
    • Streaming Admin Guide
    • Streaming User Guide
    • Streaming Connection Authentication
  • HTTPS Access to Collections
  • Extending Collection Virtual Host Configurations
  • Identity Mapping Admin Guide
  • Globus OIDC Installation Guide
  • Troubleshooting Guide
  • Command-Line Reference
    • Command summary
    • Audit
      • Load
      • Query
      • Dump
    • Endpoint
      • Setup
      • Show
      • Update
      • Reset Advertised Owner String
      • Set Advertised Owner String
      • Set Owner
      • Set Subscription ID
      • Cleanup
      • Key Convert
      • Domain
      • Role
      • Upgrade
    • OIDC
      • Create
      • Delete
      • Register
      • Show
      • Update
    • Node
      • Create
      • Disable
      • Enable
      • New Secret
      • Setup
      • List
      • Show
      • Update
      • Cleanup
      • Delete
    • Login
    • Session
      • Consent
      • Show
      • Update
    • Whoami
    • Logout
    • Storage Gateway
      • Create
      • List
      • Show
      • Update
      • Delete
    • Stream Gateway
      • Create
      • List
      • Show
      • Update
      • Delete
    • Collection
      • Create
      • List
      • Show
      • Batch Delete
      • Reset Advertised Owner String
      • Set Advertised Owner String
      • Set Owner
      • Set Subscription Admin Verified Collection Property
      • Update
      • Delete
      • Domain
      • Check
      • Role
    • Auth Policy
      • Create
      • List
      • Show
      • Update
      • Delete
    • Sharing Policy
      • Create
      • List
      • Show
      • Delete
    • User Credentials
      • Activescale Create
      • OAuth Create
      • Delete
      • List
      • S3 Create
      • S3 Keys Add
      • S3 Keys Delete
      • S3 Keys Update
    • Self Diagnostic
  • Globus Connect Server Manager API
    • Authorization
    • Versioning
    • Endpoint
    • Roles
    • Nodes
    • Storage Gateways
    • Stream Gateways
    • Collections
    • Lan Secrets
    • User Credentials
    • Domains
    • Sharing Policies
  • API Access for Portals
  • Automated Endpoint Deployment
  • Admin Guide for Sensitive Data
  • Data Access Application Guide
  • Application Migration Guide
  • Change Log
© 2010- The University of Chicago Legal Privacy Accessibility